Summary:	FALF audio player
Name:		falf
Version:	1.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
Url:		http://sourceforge.net/projects/falf/
Source0:	http://downloads.sourceforge.net/falf/%{name}-%{version}.tar.bz2
BuildConflicts:	kdelibs4-devel
BuildRequires:	kdelibs-devel
BuildRequires:	libxine-devel
BuildRequires:	libtaglib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
FALF is a smart, compact, light and comfortable
audio player with tabbed playlists.

%prep
%setup -q
sed -i -e 's/^Icon=%{name}.png$/Icon=%{name}/g' applnk/*

%build 
export QTDIR=%{qt3dir}
%{qt3dir}/bin/qmake falf.pro -o Makefile \
	QMAKE_CFLAGS="%optflags" QMAKE_CXXFLAGS="%optflags" \
	QMAKE_LFLAGS="%{?ldflags}"
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_kde3_bindir}
mkdir -p %{buildroot}%{_kde3_iconsdir}/hicolor/{16x16,22x22,32x32,48x48,64x64,128x128}/apps
mkdir -p %{buildroot}%{_kde3_datadir}/locale/{cs,es,it,nl,pl,ru,uk,zh_CN}/LC_MESSAGES
mkdir -p %{buildroot}%{_kde3_datadir}/applications/kde

install bin/falf %{buildroot}%{_kde3_bindir}/falf
install icons/16x16/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/16x16/apps/
install icons/22x22/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/22x22/apps/
install icons/32x32/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/32x32/apps/
install icons/48x48/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/48x48/apps/
install icons/64x64/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/64x64/apps/
install icons/128x128/apps/falf.png %{buildroot}%{_kde3_datadir}/icons/hicolor/128x128/apps/
install applnk/%{name}.desktop %{buildroot}%{_kde3_datadir}/applications/kde/
install applnk/%{name}_mnu.desktop %{buildroot}%{_kde3_datadir}/applications/kde/

msgfmt po/cs/falf.po -o %{buildroot}%{_kde3_datadir}/locale/cs/LC_MESSAGES/falf.mo
msgfmt po/es/falf.po -o %{buildroot}%{_kde3_datadir}/locale/es/LC_MESSAGES/falf.mo
msgfmt po/it/falf.po -o %{buildroot}%{_kde3_datadir}/locale/it/LC_MESSAGES/falf.mo
msgfmt po/nl/falf.po -o %{buildroot}%{_kde3_datadir}/locale/nl/LC_MESSAGES/falf.mo
msgfmt po/pl/falf.po -o %{buildroot}%{_kde3_datadir}/locale/pl/LC_MESSAGES/falf.mo
msgfmt po/ru/falf.po -o %{buildroot}%{_kde3_datadir}/locale/ru/LC_MESSAGES/falf.mo
msgfmt po/uk/falf.po -o %{buildroot}%{_kde3_datadir}/locale/uk/LC_MESSAGES/falf.mo
msgfmt po/zh_CN/falf.po -o %{buildroot}%{_kde3_datadir}/locale/zh_CN/LC_MESSAGES/falf.mo

desktop-file-install \
	--add-only-show-in="KDE" \
	--add-category="Audio" \
	--dir %{buildroot}%{_kde3_datadir}/applications/kde %{buildroot}%{_kde3_datadir}/applications/kde/%{name}.desktop

%find_lang %name

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(644,root,root,755)
%doc README CHANGELOG
%attr(755,root,root) %{_kde3_bindir}/falf
%{_kde3_datadir}/applications/kde/%{name}.desktop
%{_kde3_datadir}/applications/kde/%{name}_mnu.desktop
%{_kde3_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Aug 14 2008 Funda Wang <fundawang@mandriva.org> 1.3-1mdv2009.0
+ Revision: 272106
- switch to /opt
- use correct compile flags
- New version 1.3

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.1
+ Revision: 158294
- update to latest version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 04 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc6.1mdv2008.1
+ Revision: 105767
- do not hardcode icon extension in desktop file
- spec file clean
- new release candidate

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc5dev.6mdv2008.0
+ Revision: 53334
- adjust desktop file
- new snapshot

* Mon Jul 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc5dev.5mdv2008.0
+ Revision: 50533
- new snapshot
- drop X-MandrivaLinux

* Mon May 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc5dev.4mdv2008.0
+ Revision: 29406
- new snapshot

* Thu May 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc5dev.2mdv2008.0
+ Revision: 21854
- new snapshot

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc5dev.1mdv2008.0
+ Revision: 16517
- new snapshot
- drop P0
- add Russian translation


* Mon Feb 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.7mdv2007.0
+ Revision: 125831
- new snapshot
- remove %%find_lang, all locales should be now installed

* Wed Feb 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.5mdv2007.1
+ Revision: 120693
- fixed upstream bug #28700

* Sat Jan 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.4mdv2007.1
+ Revision: 114317
- new snapshot

* Mon Jan 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.3mdv2007.1
+ Revision: 111971
- new snapshot

* Mon Jan 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.2mdv2007.1
+ Revision: 109212
- new snapshot

* Sat Jan 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc4dev.1mdv2007.1
+ Revision: 104675
- updated to recent snapshot
- fix translations path

* Sun Dec 31 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc3.1mdv2007.1
+ Revision: 102899
- update to rc3

* Fri Dec 29 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.4mdv2007.1
+ Revision: 102629
- fix translations path

* Wed Dec 13 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.3mdv2007.1
+ Revision: 96339
- fix icons path

* Mon Dec 11 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.2mdv2007.1
+ Revision: 94736
- fix %%postin and %%postun scripts

* Sun Dec 10 2006 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-0.rc2.1mdv2007.1
+ Revision: 94548
- add export QTDIR
- fix qmake path
- Import falf

